Page MenuHomePhabricator

intro tour popups resize when scrolling the page
Closed, ResolvedPublic

Description

When I scroll the edit conflict page on a screen resolution of 1280 x 800, the info tour popups resize, which sometimes gives them a scrollbar. This shouldn't be the case.

Examples
Popup 1, view when the page hasn't been scrolled down.

Popup 1, the page has been scrolled down a bit, and the popup is resized.

Popup 2, the popup resized when the you scroll down the page

@Hanna_Petruschat_WMDE, @Lea_WMDE

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 25 2018, 8:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde triaged this task as Low priority.Sep 25 2018, 1:06 PM
thiemowmde added a project: OOUI.
thiemowmde added a subscriber: thiemowmde.

I had a quick look and I believe this is all totally normal, expected behavior as defined by OOUI. Which of the 3 screenshots you think shows an actual issue, and what would be the expected behavior instead?

I had a quick look and I believe this is all totally normal, expected behavior as defined by OOUI. Which of the 3 screenshots you think shows an actual issue, and what would be the expected behavior instead?

@Hanna_Petruschat_WMDE, what's your take on this?

Note that with the investigation and bugfixes we plan to do for T203066: Fix the header overlapping the tour window these scrollbars will become much less of an issue.

We had a quick chat with @Jan_Dittrich and concluded:

  • Making the popups wider (as already discussed in T203066) would make the problem occur less often.
  • We suggest to not mess with the scroll behavior, as this is a "standard" OOUI thing.
  • When the scrollbar appears, the only action item (the button) disappears at the bottom. Idea: Have the button outside of the scroll area so it's always visible. Does OOUI allow this?

Change 463222 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Move buttons in OOUI popups into the $footer

https://gerrit.wikimedia.org/r/463222

Change 463222 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Move buttons in OOUI popups into the $footer

https://gerrit.wikimedia.org/r/463222

Lea_WMDE closed this task as Resolved.Oct 5 2018, 10:21 AM
Lea_WMDE claimed this task.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-09-25 board.